package com.stm.asset.model;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.io.Serializable;

/**
 * 类名称：InventoryInfo
 * 类描述：盘询数据实体类
 * 创建人：story
 * 创建时间：2021-12-09 16:24
 */
@Entity(tableName = "inventoryInfo")
public class InventoryInfo implements Serializable {
    private static final long serialVersionUID = 1060118962039231156L;

    @PrimaryKey(autoGenerate = true)
    @ColumnInfo(name = "id")
    private long id;
    @ColumnInfo(name = "name")
    private String name; // 资产名称
    @ColumnInfo(name = "number")
    private String number; // 资产编码
    @ColumnInfo(name = "userName")
    private String userName; // 使用人
    @ColumnInfo(name = "userDept")
    private String userDept; // 使用部门
    @ColumnInfo(name = "status")
    private String status; // 状态：0，未提交；1，提交失败；2，提交成功
    @ColumnInfo(name = "item01")
    private String item01; // 盘点结果：0，未盘点；1，相符；2，盘亏；3，盘盈
    @ColumnInfo(name = "item02")
    private String item02; // 序号
    @ColumnInfo(name = "item03")
    private String item03;
    @ColumnInfo(name = "item04")
    private String item04;
    @ColumnInfo(name = "item05")
    private String item05;
    @ColumnInfo(name = "item06")
    private String item06;
    @ColumnInfo(name = "item07")
    private String item07;
    @ColumnInfo(name = "item08")
    private String item08;
    @ColumnInfo(name = "item09")
    private String item09;
    @ColumnInfo(name = "item10")
    private String item10;

    public InventoryInfo(){}

    @Ignore
    public InventoryInfo(String name, String number, String item02){
        this.name = name;
        this.number = number;
        this.item02 = item02;
        this.status = "0";
        this.item01 = "0";
    }

    public InventoryInfo copy() {
        InventoryInfo info = new InventoryInfo();
        info.setName(this.name);
        info.setNumber(this.number);
        info.setStatus(this.status);
        info.setItem01(this.item01);
        return info;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserDept() {
        return userDept;
    }

    public void setUserDept(String userDept) {
        this.userDept = userDept;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getItem01() {
        return item01;
    }

    public void setItem01(String item01) {
        this.item01 = item01;
    }

    public String getItem02() {
        return item02;
    }

    public void setItem02(String item02) {
        this.item02 = item02;
    }

    public String getItem03() {
        return item03;
    }

    public void setItem03(String item03) {
        this.item03 = item03;
    }

    public String getItem04() {
        return item04;
    }

    public void setItem04(String item04) {
        this.item04 = item04;
    }

    public String getItem05() {
        return item05;
    }

    public void setItem05(String item05) {
        this.item05 = item05;
    }

    public String getItem06() {
        return item06;
    }

    public void setItem06(String item06) {
        this.item06 = item06;
    }

    public String getItem07() {
        return item07;
    }

    public void setItem07(String item07) {
        this.item07 = item07;
    }

    public String getItem08() {
        return item08;
    }

    public void setItem08(String item08) {
        this.item08 = item08;
    }

    public String getItem09() {
        return item09;
    }

    public void setItem09(String item09) {
        this.item09 = item09;
    }

    public String getItem10() {
        return item10;
    }

    public void setItem10(String item10) {
        this.item10 = item10;
    }
}
